﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace INT_PT002.DataStore
{
    public class Define
    {
        public enum E_EquipmentStatus
        {
            Stop = 0,
            Start = 1,
        };

        public enum E_FormStore
        {
            FormNone = 0,
            FormMainDisplay,
            FormMenu,
        };

        public enum E_TopMenuStore
        {
            Recipe,
            Setting,
            Manual,
            Log,
            System,
        }

        public enum E_MenuRecipeStore
        {
            None,
        };
        public enum E_MenuSettingStore
        {
            Communication,
            Configuration,
            UserEditor,
        };
        public enum E_MenuManualStore
        {
            IoTest,
            MotorSetting,
        };
        public enum E_MenuLogStore
        {
            History,
            Inspection,
            Alarm,
        };
        public enum E_MenuSystemStore
        {
            Information,
            Time,
            Equipment,
            Update,
        };

        public enum E_ProgressStatus
        {
            None = 0,
            Initial,
            ProductEntry,
            ChamberConbined,
            VacuumStart,
            VacuumHold,
            Judgment,
            VacuumBreak,
            ChamberSeparation,
            ProductRelease,
        };

        public enum E_JudgmentStatus
        {
            None,
            Pass,
            Ng,
            Error,
        };

        public enum E_ResponseData
        {
            NAK = 0,
            ACK = 1,
        };
    }
}
